[loggers]
keys=root,onap_tests,components,scenario,warnings

[handlers]
keys=console,wconsole,file,dfile

[formatters]
keys=standard

[logger_root]
level=DEBUG
handlers=dfile

[logger_onap_tests]
level=DEBUG
handlers=file
qualname=onap_tests

[logger_scenario]
level=DEBUG
handlers=file
qualname=onap_tests.scenario

[logger_components]
level=DEBUG
handlers=file
qualname=onap_tests.scenario

[logger_warnings]
level=DEBUG
handlers=file,console
qualname=py.warnings

[handler_console]
class=StreamHandler
level=INFO
formatter=standard
args=(sys.stdout,)

[handler_wconsole]
class=StreamHandler
level=DEBUG
formatter=standard
args=(sys.stdout,)

[handler_file]
class=FileHandler
level=ERROR
formatter=standard
args=("{{ ansible_env.PWD }}/onap_tests.log",)

[handler_dfile]
class=FileHandler
level=DEBUG
formatter=standard
args=("{{ ansible_env.PWD }}/onap_tests.debug.log",)

[formatter_standard]
format=%(asctime)s - %(name)s - %(levelname)s - %(message)s
datefmt=
